<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: Class List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Class List</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">Here are the classes, structs, unions and interfaces with brief descriptions:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span><span onclick="javascript:toggleLevel(3);">3</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_0_" class="arrow" onclick="toggleFolder('0_')">&#9660;</span><span class="icona"><span class="icon">N</span></span><b>He_Arc</b></td><td class="desc"></td></tr>
<tr id="row_0_0_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_0_" class="arrow" onclick="toggleFolder('0_0_')">&#9660;</span><span class="icona"><span class="icon">N</span></span><b>RPG</b></td><td class="desc"></td></tr>
<tr id="row_0_0_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_backpack.html" target="_self">Backpack</a></td><td class="desc">Class for the <a class="el" href="class_he___arc_1_1_r_p_g_1_1_backpack.html" title="Class for the Backpack, It&#39;s an portable inventory, who can be held by a character during is adventur...">Backpack</a>, It's an portable inventory, who can be held by a character during is adventure </td></tr>
<tr id="row_0_0_1_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html" target="_self">CharacterClass</a></td><td class="desc">Class for the <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html" title="Class for the CharacterClass. A character class is the &quot;type&quot; (the class) of a character,...">CharacterClass</a>. A character class is the "type" (the class) of a character, like a warrior or a wizard. This class contains the base attribute and commons methods of each type of character </td></tr>
<tr id="row_0_0_2_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_necromancer.html" target="_self">Necromancer</a></td><td class="desc">Class for the <a class="el" href="class_he___arc_1_1_r_p_g_1_1_necromancer.html" title="Class for the Necromancer, a class of character (Wizard specialisation) The necromancer is a wizard w...">Necromancer</a>, a class of character (<a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html" title="Class for the Wizard, a class of character (CharacterClass specialisation) The wizards have the abili...">Wizard</a> specialisation) The necromancer is a wizard who deals with the deads. They can use their power and reanime the deads </td></tr>
<tr id="row_0_0_3_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_skeleton.html" target="_self">Skeleton</a></td><td class="desc">Class for the <a class="el" href="class_he___arc_1_1_r_p_g_1_1_skeleton.html" title="Class for the Skeleton, a class of monster (CharacterClass specialisation) It&#39;s the dead characters o...">Skeleton</a>, a class of monster (<a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html" title="Class for the CharacterClass. A character class is the &quot;type&quot; (the class) of a character,...">CharacterClass</a> specialisation) It's the dead characters of the lost times ?! </td></tr>
<tr id="row_0_0_4_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_slime.html" target="_self">Slime</a></td><td class="desc">Class for the <a class="el" href="class_he___arc_1_1_r_p_g_1_1_slime.html" title="Class for the Slime, a class of monster (CharacterClass specialisation) A slime is a (small) monster ...">Slime</a>, a class of monster (<a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html" title="Class for the CharacterClass. A character class is the &quot;type&quot; (the class) of a character,...">CharacterClass</a> specialisation) A slime is a (small) monster who can be compared to a puddle of water. You can seen them more often like as a drop of water </td></tr>
<tr id="row_0_0_5_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html" target="_self">Warrior</a></td><td class="desc">Class for the <a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html" title="Class for the Warrior, a class of character (CharacterClass specialisation) The warriors use sword (a...">Warrior</a>, a class of character (<a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html" title="Class for the CharacterClass. A character class is the &quot;type&quot; (the class) of a character,...">CharacterClass</a> specialisation) The warriors use sword (and shields) and their strength to accomplish anything </td></tr>
<tr id="row_0_0_6_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html" target="_self">Wizard</a></td><td class="desc">Class for the <a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html" title="Class for the Wizard, a class of character (CharacterClass specialisation) The wizards have the abili...">Wizard</a>, a class of character (<a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html" title="Class for the CharacterClass. A character class is the &quot;type&quot; (the class) of a character,...">CharacterClass</a> specialisation) The wizards have the ability to use some spells. They solve the problems with their intelligence </td></tr>
<tr id="row_0_0_7_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html" target="_self">Dice</a></td><td class="desc">Class for the dice, gives you a random value depending the type of dice </td></tr>
<tr id="row_0_0_8_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_ex___game_player_die.html" target="_self">Ex_GamePlayerDie</a></td><td class="desc">This exception is intended to be rise when the player's team die (and means it's a lose) </td></tr>
<tr id="row_0_0_9_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_ex___log_cant_be_write.html" target="_self">Ex_LogCantBeWrite</a></td><td class="desc">This exception is intended to be rise when the the logs can be written in the specified file The reason can be : The folder for the file didn't exist; the file is used by another program; etc </td></tr>
<tr id="row_0_0_10_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_ex___menu_item_not_found.html" target="_self">Ex_MenuItemNotFound</a></td><td class="desc">This exception is intended to be rise when a nonexistant menu is selected </td></tr>
<tr id="row_0_0_11_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_ex___menu_item_out_of_menu_limit.html" target="_self">Ex_MenuItemOutOfMenuLimit</a></td><td class="desc">This exception is intended to be rise when there is too much menu items in a menu </td></tr>
<tr id="row_0_0_12_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_ex___text_out_of_display.html" target="_self">Ex_TextOutOfDisplay</a></td><td class="desc">This exception is intended to be rise when the text is longer than the destined area of where it is displayed </td></tr>
<tr id="row_0_0_13_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_file_manager.html" target="_self">FileManager</a></td><td class="desc">This class contains statics methods used for manipulating files (creation, read, write) </td></tr>
<tr id="row_0_0_14_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html" target="_self">Game</a></td><td class="desc">This class is the game logic implementation, It regroups each classes and interconnect them to perform a complet game </td></tr>
<tr id="row_0_0_15_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html" target="_self">Log</a></td><td class="desc">This class is an entry of logs, an entry is caracterised by the level of the log; the type; and the message; it contains also the datetime of when the log occurs </td></tr>
<tr id="row_0_0_16_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html" target="_self">LogCollection</a></td><td class="desc">The <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html" title="The LogCollection is a class for the centralisation of the logs. In other words, this class contains ...">LogCollection</a> is a class for the centralisation of the logs. In other words, this class contains each logs who occurs during the execution of the program It contains also the ability for saving the log in files </td></tr>
<tr id="row_0_0_17_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_menu.html" target="_self">Menu</a></td><td class="desc">This class is menu interface, It regroups de functionality to display the menu, and choose an action </td></tr>
<tr id="row_0_0_18_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_object.html" target="_self">IObject</a></td><td class="desc">Interface class, for the different objects who can be posseded by an characteur </td></tr>
<tr id="row_0_0_19_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_potion.html" target="_self">Potion</a></td><td class="desc">Class for the potions, contains the stats and capacity of a potion </td></tr>
<tr id="row_0_0_20_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_shield.html" target="_self">Shield</a></td><td class="desc">Class for the shields, contains the stats and capacity of a shield A shield reduce damage taken by the character who held it </td></tr>
<tr id="row_0_0_21_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_sword.html" target="_self">Sword</a></td><td class="desc">Class for the swords, contains the stats and capacity of a sword </td></tr>
<tr id="row_0_0_22_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html" target="_self">Lane</a></td><td class="desc">A lane is a part of a room, one lane have 0-N characters on it. It can be compared to the "cell" of the room Only 1 team at once can go on a lane </td></tr>
<tr id="row_0_0_23_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_room.html" target="_self">Room</a></td><td class="desc">The room is where the characters can do a fight. It contains lanes, and handle the laning (move character on lanes) The room also contains the team configuration infos </td></tr>
<tr id="row_0_0_24_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_spell.html" target="_self">ISpell</a></td><td class="desc">Interface class, for the different spell/skill who can be rise by characters </td></tr>
<tr id="row_0_0_25_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_normal_damage_spell.html" target="_self">NormalDamageSpell</a></td><td class="desc">Class for the normal damage spell/skill, that means it is rised by a character and it only apply damage to a signle target </td></tr>
<tr id="row_0_0_26_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html" target="_self">Utility</a></td><td class="desc">This class contains statics methods qualified as utility (not specific to 1 class) </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
